Bug 476311 - Eclipse startup crash
Eclipse startup crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
: 507774 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 19:03 EST by Juan
Modified: 2009-12-18 02:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:16:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stdout of starting eclipse with -debug -consolelog (9.58 MB, text/plain)
2008-12-12 19:06 EST, Juan
no flags Details
stderr of starting eclipse with -debug -consolelog (468 bytes, text/plain)
2008-12-12 19:07 EST, Juan
no flags Details
~/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/1229125936972.bak_0.log, generated by eclipse -debug -consolelog (1.58 MB, text/plain)
2008-12-12 19:10 EST, Juan
no flags Details
Eclipse startup logfile under ~/.eclipse/org.eclipose.platform_3.4.0_793567567/configuration/1235685202151.bak_0.log (1.57 MB, text/plain)
2009-02-26 17:08 EST, Michael H. Cox
no flags Details

  None (edit)
Description Juan 2008-12-12 19:03:29 EST
Description of problem:
When I start eclipse, after a very long wait, it crashes with this popup message:
"An error has occurred. See the log file ~/workspace/.metadata/.log"
That log file doesn't in fact exist. I only find something like this:
~/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/1229046645133.bak_0.log

Version-Release number of selected component (if applicable):
I have last versions of all eclipse packages:
eclipse-subclipse-book-1.2.4-12.fc10.noarch
eclipse-nls-zh-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-mylyn-webtasks-3.0.3-3.fc10.noarch
eclipse-mylyn-3.0.3-3.fc10.noarch
eclipse-nls-pt_BR-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-setools-3.3.2.4-3.fc10.i386
eclipse-rpm-editor-0.4.0-5.fc10.i386
eclipse-nls-it-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-el-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-cdt-mylyn-5.0.0-10.fc10.i386
eclipse-nls-zh_TW-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-quickrex-3.5.0-9.fc10.noarch
eclipse-egit-0.3.1.20081022-3.fc10.noarch
maven2-plugin-eclipse-2.0.4-10.15.fc10.i386
eclipse-cdt-5.0.0-10.fc10.i386
eclipse-pde-3.4.1-5.fc10.i386
eclipse-nls-ru-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-hu-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-checkstyle-4.0.1-11.fc10.i386
tomcat5-jasper-eclipse-5.5.27-6.1.fc10.noarch
eclipse-mylyn-pde-3.0.3-3.fc10.noarch
eclipse-pydev-mylyn-1.3.24-1.fc10.noarch
eclipse-slide-1.3.9-3.fc10.noarch
eclipse-nls-ja-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-tr-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-ecj-3.4.1-5.fc10.i386
eclipse-platform-3.4.1-5.fc10.i386
eclipse-nls-ko-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-no-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-da-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-epic-0.6.27-1.fc10.i386
icu4j-eclipse-3.8.1-4.fc10.i386
eclipse-nls-es-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-pt-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-uk-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-photran-4.0.0-0.b4.fc10.3.i386
eclipse-pydev-1.3.24-1.fc10.noarch
eclipse-nls-de-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-ro-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-gef-examples-3.4.1-1.fc10.i386
eclipse-mylyn-java-3.0.3-3.fc10.noarch
eclipse-nls-fr-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-gef-3.4.1-1.fc10.i386
eclipse-swt-3.4.1-5.fc10.i386
eclipse-nls-ar-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-pl-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-rcp-3.4.1-5.fc10.i386
eclipse-nls-fi-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-nls-sv-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-cdt-sdk-5.0.0-10.fc10.i386
eclipse-jdt-3.4.1-5.fc10.i386
eclipse-mylyn-trac-3.0.3-3.fc10.noarch
eclipse-nls-nl-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-photran-xlf-4.0.0-0.b4.fc10.3.i386
eclipse-nls-he-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-gef-sdk-3.4.1-1.fc10.i386
eclipse-nls-cs-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-phpeclipse-1.2.1-2.fc10.i386
eclipse-shelled-1.0.3-3.fc10.noarch
eclipse-subclipse-1.2.4-12.fc10.noarch
eclipse-nls-bg-0.2.0-0.5.20080807snap.fc10.noarch
eclipse-changelog-2.6.3-2.fc10.i386

I have last version of openjdk, but my main JDK is Sun JDK 1.6.0_11.

How reproducible:
Start eclipse

Steps to Reproduce:
1. Start eclipse
  
Actual results:
Eclipse crashes and doesn't start up.

Expected results:
Eclipse starts normally.

Additional info:

I've tried again after deleting ~/.eclipse/ and ~/workspace/ and the same happens.

I use Sun JDK, but I also tried removing JAVA_HOME environment variable and the corresponding PATH entries, so that it uses the default JDK, and the same happens again.

I've executed eclipse -debug -consolelog and I attach the resulting stdout.txt and stderr.txt

I've executed the following command and doesn't generate any output:
for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
Comment 1 Juan 2008-12-12 19:06:49 EST
Created attachment 326794 [details]
stdout of starting eclipse with -debug -consolelog
Comment 2 Juan 2008-12-12 19:07:58 EST
Created attachment 326795 [details]
stderr of starting eclipse with -debug -consolelog
Comment 3 Juan 2008-12-12 19:10:02 EST
Created attachment 326796 [details]
~/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/1229125936972.bak_0.log, generated by eclipse -debug -consolelog

May be this is the same content included inside stdout.txt, but I attach it also, just in case.
Comment 4 Andrew Overholt 2008-12-12 20:33:27 EST
This looks like the known issue of the dropins reconciler failing sometimes.  It looks like the translations are messing it up.  Try removing the nls packages and try again with a clean workspace and ~/.eclipse.
Comment 5 Juan 2008-12-13 01:41:21 EST
I removed all nls packages and it worked.
Then I wanted to find out which packages made it fail.
It worked with Spanish, French and German installed.
Then I added some more and started, but curiously complaining about not finding the japanese package. Then I removed Brasilian Portuguese and failed again.
So, I gave up from finding the exact failing packages, as it doesn't seem a trivial task and I've left only the Spanish pack (my language) and looks to work well.

Is this a bug in the original eclipse, in Fedora eclipse or in some other component of Fedora?
If it's a Fedora bug, is it scheduled for fixing?

Thanks a lot,

Juan
Comment 6 Andrew Overholt 2008-12-18 09:26:44 EST
(In reply to comment #5)
> Is this a bug in the original eclipse, in Fedora eclipse or in some other
> component of Fedora?

It's a complicated upstream issue with the dropins folder.  We now (finally) have a reproducer, but it's proving difficult to fix.
Comment 7 Michael H. Cox 2009-02-26 17:08:02 EST
Created attachment 333396 [details]
Eclipse startup logfile under ~/.eclipse/org.eclipose.platform_3.4.0_793567567/configuration/1235685202151.bak_0.log
Comment 8 Michael H. Cox 2009-02-26 17:12:00 EST
I followed the steps in #4 and unlike the results in #5, it didn't work.  I attached the log file in #7.
Comment 9 Andrew Overholt 2009-02-27 11:27:09 EST
Hi Michael,

It's *crash*ing?  I don't see anything in the log to indicate a crash.  Could you please paste here the output of the following commands?

rpm -qa | grep eclipse
for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
java -version; readlink -f `which java`

If you have time, if you could run eclipse from a terminal with the following arguments and add an attachment here with the output, I'd appreciate it:

eclipse -debug -consolelog

Thanks and sorry it's not working for you right now.
Comment 10 Alexander Kurtakov 2009-06-24 13:12:30 EDT
*** Bug 507774 has been marked as a duplicate of this bug. ***
Comment 11 Bug Zapper 2009-11-18 04:40:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 02:16:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.